<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');


?>
<div id="resultados"></div>
<table class="table table-bordered table-striped">     
    <thead>
        <tr>               
            <th width="50%">HORARIOS</th> 
        </tr>
    </thead> 
 
    <td> 

    <?php
    $registros=mysqli_query($con,"SELECT * from zhop_reserva_horas where res_horas_sucursal='$sucursal' and res_horas_empresa='$empresa'  group by res_horas order by res_horas_id asc") or die(mysqli_error($con));
        $num=mysqli_num_rows($registros);
        if ($num>0) {
        while ($reg=mysqli_fetch_array($registros)){

            $res_horas_id=$reg['res_horas_id'];
            $res_horas=$reg['res_horas'];
            $res_horas_estado=$reg['res_horas_estado'];
    ?>

            <div class="col-md-6"> 
                <div class="input-group">
                    <input type="checkbox" id="horas_<?php echo $res_horas_id; ?>" name="horas[]" value="<?php echo $res_horas_id; ?>" onclick="update_hora(1,this.value);" <?php echo ($res_horas_estado == 'activo') ? 'checked' : ''; ?> >
                    <label class="lab" for="horas_<?php echo $res_horas_id; ?>"><?php echo $res_horas; ?></label>
                    <span class="input-group-addon">
                        <a href="#" id="del-<?php echo $res_horas_id;?>" type="button" title="Eliminar"><i class="btn-icon-only icon-remove"></i></a>
                    </span>
                </div>
            </div>
       
        <script>
          // Script para eliminar el día 
            $("#del-" + <?php echo $res_horas_id; ?>).click(function(e){ 
                e.preventDefault();
                var p = confirm("¿Deseas eliminar la hora?");
                if(p){
                    $.get("./php_pagina_online/eliminar_horas.php", "res_horas_id=" + <?php echo $res_horas_id; ?>, function(data){
                        loadTablahora();
                        loadTablausu();
                    });
                }
            });
        </script>
            
      
    <?php } ?>
    </td> 
</table>  

<?php } else {

        echo '<div class="alert alert-warning alert-dismissable">
                <strong> No hay horarios registrados.</strong>
                </div>';

    }

     ?>

<script>
      
    // actualizar estado del horario
    function update_hora(campo,horas)
    { 
        var parametros = {"action":"update","campo":campo,"horas":horas}; 
        $.ajax({
            type: "GET",
            url: "./php_pagina_online/actualizar_estado_hora.php",
            data: parametros,
            beforeSend: function(objeto){
                $("#resultados").html("Mensaje: Cargando...");
            },
            success: function(datos){
                $("#resultados").html(datos);
            }
        });
        loadTablahora();
    }


</script>

